Author Topic: php 7.4 Compatibility  (Read 746 times)

Offline SAM172788

  • Newbie
  • *
  • Posts: 14
  • Karma: +5/-0
    • View Profile
php 7.4 Compatibility
« on: December 29, 2019, 09:17:23 AM »
Hello!

I would like to know if Abantecart v1.2.15 Compatible with last version of php 7.4.

=================================================
Thank you
Regards
SAMY 

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4586
  • Karma: +224/-0
    • View Profile
Re: php 7.4 Compatibility
« Reply #1 on: December 30, 2019, 04:56:17 AM »
Hello.
It should work but I suggest to wait for the 1.2.16 release
“Chuck Norris is so amazing.”
― Mother Teresa

Offline SAM172788

  • Newbie
  • *
  • Posts: 14
  • Karma: +5/-0
    • View Profile
Re: php 7.4 Compatibility
« Reply #2 on: January 01, 2020, 06:12:35 AM »
Hello.
It should work but I suggest to wait for the 1.2.16 release

I tested it but doesn't worked. When gonna be new version 1.2.16 released ??






Offline abantecart

  • Administrator
  • Hero Member
  • *****
  • Posts: 4219
  • Karma: +267/-9
    • View Profile
    • Ideal Open Source Ecommerce Solution
Re: php 7.4 Compatibility
« Reply #3 on: January 02, 2020, 06:50:39 AM »
Release is still in discussion, but my guess it will be February 2020
We need your help to build better free open source eCommerce platform for everyone.
See how you can help

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1817
  • Karma: +267/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: php 7.4 Compatibility
« Reply #4 on: February 07, 2020, 03:07:27 AM »
Hello.
It should work but I suggest to wait for the 1.2.16 release

I tested it but doesn't worked. When gonna be new version 1.2.16 released ??

Ubuntu 19.10,  php7.4.2, mysql 8.0, apache2.4.41
Works correct out of box.

Please post errors from the php and apache log (server side)
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4586
  • Karma: +224/-0
    • View Profile
Re: php 7.4 Compatibility
« Reply #5 on: February 10, 2020, 12:07:19 AM »
I tested it but doesn't worked. When gonna be new version 1.2.16 released ??
Hello. Please apply code changes mentioned in this comment https://github.com/abantecart/abantecart-src/issues/1312#issuecomment-583957123
1.2.16 will run on the php 7.4
“Chuck Norris is so amazing.”
― Mother Teresa

Offline SAM172788

  • Newbie
  • *
  • Posts: 14
  • Karma: +5/-0
    • View Profile
Re: php 7.4 Compatibility
« Reply #6 on: February 18, 2020, 04:13:44 AM »
I tested it but doesn't worked. When gonna be new version 1.2.16 released ??
Hello.


1.2.16 will run on the php




Thanks, we will wait new release to test it.

 

Powered by SMFPacks Social Login Mod